LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices


Reply
  Search this Thread
Old 01-14-2019, 11:13 AM   #1
mia_tech
Member
 
Registered: Dec 2007
Location: FL, USA
Distribution: CentOS 5.3, Ubuntu 9.04
Posts: 232

Rep: Reputation: 16
can not open eclipse or netbeans in linux mint


I have linux mint 19 installed and neither Eclipse or Netbeans wants to open. I have remove both and reinstall them. Also, I remove Java jdk and reinstall. Still notwork. I can verify the version of java I'm running by typing on the terminal
Code:
java -version
openjdk version "10.0.1" 2018-04-17
OpenJDK Runtime Environment (build 10.0.1+10-Ubuntu-3ubuntu1)
OpenJDK 64-Bit Server VM (build 10.0.1+10-Ubuntu-3ubuntu1, mixed mode)
this is the error eclipse is giving me "dialog box"
An error has occurred. See the log file
Code:
/home/john/.eclipse/org.eclipse.platform_3.8_155965261/configuration/1547482395726.log
this is what the logs say
Code:
!SESSION Mon Jan 14 11:13:15 EST 2019 ------------------------------------------
!ENTRY org.eclipse.equinox.launcher 4 0 2019-01-14 11:13:15.785
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter
	at java.base/java.net.URLClassLoader.findClass(URLClassLoader.java:466)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:566)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:499)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:626)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
netbeans does not give any error. Any help appreciated

Last edited by mia_tech; 01-14-2019 at 11:27 AM.
 
Old 01-14-2019, 12:34 PM   #2
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 19.1 MATE
Posts: 6,642
Blog Entries: 2

Rep: Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226
Can you please run netbeans from the command line and paste the output here. Thanks.

Also, please paste the output from the following command:

Code:
dpkg -l "*netbeans*"
 
Old 01-14-2019, 12:57 PM   #3
mia_tech
Member
 
Registered: Dec 2007
Location: FL, USA
Distribution: CentOS 5.3, Ubuntu 9.04
Posts: 232

Original Poster
Rep: Reputation: 16
Quote:
Originally Posted by hydrurga View Post
Can you please run netbeans from the command line and paste the output here. Thanks.

Also, please paste the output from the following command:

Code:
dpkg -l "*netbeans*"
Code:
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                   Version          Architecture     Description
+++-======================-================-================-==================================================
ii  netbeans               8.1+dfsg3-4      all              Extensible Java IDE

console output
Code:
netbeans
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.netbeans.ProxyURLStreamHandlerFactory (file:/usr/share/netbeans/platform18/lib/boot.jar) to field java.net.URL.handler
WARNING: Please consider reporting this to the maintainers of org.netbeans.ProxyURLStreamHandlerFactory
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

Last edited by mia_tech; 01-14-2019 at 12:59 PM.
 
Old 01-14-2019, 03:00 PM   #4
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 19.1 MATE
Posts: 6,642
Blog Entries: 2

Rep: Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226
Thanks. It appears that the problem is caused by a conflict between Netbeans 8 and Java 10.

There are various solutions proposed here: https://askubuntu.com/questions/1032...4-installation, but most of them appear to concern matching the two versions. One option may be to install Apache Netbeans v10, but for the pre-Apache Netbeans, let's try one of the proposed solutions. Remember to first make a system snapshot with TimeShift so that you can roll back if things go awry.

Code:
apt purge netbeans

apt install openjdk-8-jdk

wget https://download.netbeans.org/netbea...s-8.2-linux.sh

sudo sh netbeans-8.2-linux.sh

(when the installer asks about the JDK for the NetBeans IDE, select /usr/lib/jvm/java-8-openjdk-amd64).
After installation, you can access Netbeans by running:

Code:
/usr/local/netbeans-8.2/bin/netbeans
Let us know how you get on (test Netbeans as much as you can), then we can have a look at Eclipse.
 
1 members found this post helpful.
Old 01-14-2019, 04:27 PM   #5
mia_tech
Member
 
Registered: Dec 2007
Location: FL, USA
Distribution: CentOS 5.3, Ubuntu 9.04
Posts: 232

Original Poster
Rep: Reputation: 16
I decided to install netbeans 10.0 latest version. Thanks for everything
 
Old 01-14-2019, 04:32 PM   #6
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 19.1 MATE
Posts: 6,642
Blog Entries: 2

Rep: Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226Reputation: 2226
Quote:
Originally Posted by mia_tech View Post
I decided to install netbeans 10.0 latest version. Thanks for everything
No problem. Let us know if you have any issues with it.
 
  


Reply

Tags
eclipse, linux mint, netbeans


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] I am not able to proceed with installing Eclipse or Netbeans. Novatian Linux - Software 10 07-05-2013 04:51 AM
Netbeans Or Eclipse nesrail Programming 1 01-28-2009 09:25 AM
LXer: Sun Announces the Latest in Open Source Tools with the Availability of NetBeans Visual Web Pack and NetBeans C/C++ Development Pack LXer Syndicated Linux News 1 12-31-2006 08:37 AM
Eclipse or Netbeans? koyi Programming 16 09-01-2006 04:49 PM
LXer: Netbeans attempts to eclipse Eclipse LXer Syndicated Linux News 0 04-17-2006 10:54 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - General

All times are GMT -5. The time now is 05:13 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration